## qtractor 0.9.91

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.15)

project (Qtractor
  VERSION 0.9.91
  DESCRIPTION "An Audio/MIDI multi-track sequencer"
  HOMEPAGE_URL "https://qtractor.org"
  LANGUAGES C CXX)

set (PROJECT_TITLE "${PROJECT_NAME}")
string (TOLOWER "${PROJECT_TITLE}" PROJECT_NAME)

set (PROJECT_COPYRIGHT "Copyright (C) 2005-2024, rncbc aka Rui Nuno Capela. All rights reserved.")
set (PROJECT_DOMAIN    "rncbc.org")

execute_process (
  COMMAND git describe --tags --dirty --abbrev=6
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
  RESULT_VARIABLE GIT_DESCRIBE_RESULT
  OUTPUT_STRIP_TRAILING_WHITESPACE)
if (GIT_DESCRIBE_RESULT EQUAL 0)
  set (GIT_VERSION "${GIT_DESCRIBE_OUTPUT}")
  string (REGEX REPLACE "^[^0-9]+" "" GIT_VERSION "${GIT_VERSION}")
  string (REGEX REPLACE "^1_"      "" GIT_VERSION "${GIT_VERSION}")
  string (REGEX REPLACE "^[_vV]+"  "" GIT_VERSION "${GIT_VERSION}")
  string (REGEX REPLACE "-g"   "git." GIT_VERSION "${GIT_VERSION}")
  string (REGEX REPLACE "[_|-]"   "." GIT_VERSION "${GIT_VERSION}")
  execute_process (
    COMMAND git rev-parse --abbrev-ref HEAD
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
    RESULT_VARIABLE GIT_REVPARSE_RESULT
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "main")
    set (GIT_VERSION "${GIT_VERSION} [${GIT_REVPARSE_OUTPUT}]")
  endif ()
  set (PROJECT_VERSION "${GIT_VERSION}")
endif ()


if (CMAKE_BUILD_TYPE MATCHES "Debug")
  set (CONFIG_DEBUG 1)
  set (CONFIG_BUILD_TYPE "debug")
else ()
  set (CONFIG_DEBUG 0)
  set (CONFIG_BUILD_TYPE "release")
  set (CMAKE_BUILD_TYPE "Release")
endif ()

set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")

include (GNUInstallDirs)
set (CONFIG_BINDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_BINDIR}")
set (CONFIG_LIBDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
set (CONFIG_DATADIR "${CONFIG_PREFIX}/${CMAKE_INSTALL_DATADIR}")
set (CONFIG_MANDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_MANDIR}")


# Enable libvorbis(file) availability.
option (CONFIG_LIBVORBIS "Enable libvorbis interface (default=yes)" 1)

# Enable libmad availability.
option (CONFIG_LIBMAD "Enable libmad interface (default=yes)" 1)

# Enable libsamplerate availability.
option (CONFIG_LIBSAMPLERATE "Enable libsamplerate interface (default=yes)" 1)

# Enable librubberband availability.
option (CONFIG_LIBRUBBERBAND "Enable librubberband interface (default=yes)" 1)

# Enable libaudio support.
option (CONFIG_LIBAUBIO "Enable libaubio interface support (default=yes)" 1)

# Enable liblo availability.
option (CONFIG_LIBLO "Enable liblo interface (default=yes)" 1)

# Enable libz availability.
option (CONFIG_LIBZ "Enable libz interface (default=yes)" 1)

# Enable LILV support.
option (CONFIG_LIBLILV "Enable LILV interface support (default=yes)" 1)

# Enable SUIL support.
option (CONFIG_LIBSUIL "Enable SUIL interface support (default=yes)" 1)

# Enable SSE optimization.
option (CONFIG_SSE "Enable SSE optimization (default=yes)" 1)

# Enable LADSPA support.
option (CONFIG_LADSPA "Enable LADSPA plug-in support (default=yes)" 1)

# Enable DSSI support.
option (CONFIG_DSSI "Enable DSSI plug-in support (default=yes)" 1)

# Enable VST support.
option (CONFIG_VST2 "Enable VST2 plug-in support (default=yes)" 1)

option (CONFIG_VESTIGE "Enable VeSTige header support (default=yes)" 1)

# Enable VST3 support.
option (CONFIG_VST3 "Enable VST3 plug-in support (default=yes)" 1)

# Enable LV2 support.
option (CONFIG_LV2 "Enable LV2 plug-in support (default=yes)" 1)

option (CONFIG_LV2_EVENT "Enable LV2 plug-in MIDI/Event support (default=no)" 0)

option (CONFIG_LV2_ATOM "Enable LV2 plug-in MIDI/Atom support (default=yes)" 1)

option (CONFIG_LV2_CVPORT "Enable LV2 plug-in CVPort support (DUMMY) (default=yes)" 1)

option (CONFIG_LV2_WORKER "Enable LV2 plug-in Worker/schedule support (default=yes)" 1)

option (CONFIG_LV2_UI "Enable LV2 plug-in UI support (default=yes)" 1)

option (CONFIG_LV2_EXTERNAL_UI "Enable LV2 plug-in External UI support (default=yes)" 1)

option (CONFIG_LV2_STATE "Enable LV2 plug-in State support (default=yes)" 1)

option (CONFIG_LV2_STATE_FILES "Enable LV2 plug-in State Files support (default=yes)" 1)

option (CONFIG_LV2_STATE_MAKE_PATH "Enable LV2 plug-in State Make Path support (default=no)" 0)

option (CONFIG_LV2_STATE_FREE_PATH "Enable LV2 plug-in State Free Path support (default=yes)" 1)

option (CONFIG_LV2_PROGRAMS "Enable LV2 plug-in Programs support (default=yes)" 1)

option (CONFIG_LV2_MIDNAM "Enable LV2 plug-in MIDNAM support (default=yes)" 1)

option (CONFIG_LV2_PRESETS "Enable LV2 plug-in Presets support (default=yes)" 1)

option (CONFIG_LV2_PATCH "Enable LV2 plug-in Patch support (default=yes)" 1)

option (CONFIG_LV2_PORT_EVENT "Enable LV2 plug-in Port-event support (default=yes)" 1)

option (CONFIG_LV2_PORT_CHANGE_REQUEST "Enable LV2 plug-in Port-change request support (default=yes)" 1)

option (CONFIG_LV2_TIME "Enable LV2 plug-in Time support (default=yes)" 1)

option (CONFIG_LV2_TIME_POSITION "Enable LV2 plug-in Time/position support (default=yes)" 1)

option (CONFIG_LV2_OPTIONS "Enable LV2 plug-in Options support (default=yes)" 1)

option (CONFIG_LV2_BUF_SIZE "Enable LV2 plug-in Buf-size support (default=yes)" 1)

option (CONFIG_LV2_PARAMETERS "Enable LV2 plug-in Parameters support (default=yes)" 1)

option (CONFIG_LV2_UI_TOUCH "Enable LV2 plug-in UI Touch interface support (default=yes)" 1)

option (CONFIG_LV2_UI_REQ_VALUE "Enable LV2 plug-in UI Request-value support (default=yes)" 1)

option (CONFIG_LV2_UI_IDLE "Enable LV2 plug-in UI Idle interface support (default=yes)" 1)

option (CONFIG_LV2_UI_SHOW "Enable LV2 plug-in UI Show interface support (default=yes)" 1)

option (CONFIG_LV2_UI_GTK2 "Enable LV2 plug-in UI GTK2 native support (default=yes)" 1)

option (CONFIG_LV2_UI_GTKMM2 "Enable LV2 plug-in UI GTKMM2 native support (default=yes)" 1)

option (CONFIG_LV2_UI_X11 "Enable LV2 plug-in UI X11 native support (default=yes)" 1)

# Enable CLAP support.
option (CONFIG_CLAP "Enable CLAP plug-in support (default=yes)" 1)

# Enable JACK session support.
option (CONFIG_JACK_SESSION "Enable JACK session support (default=yes)" 1)

# Enable JACK latency support.
option (CONFIG_JACK_LATENCY "Enable JACK latency support (default=yes)" 1)

# Enable JACK metadata support.
option (CONFIG_JACK_METADATA "Enable JACK metadata support (default=yes)" 1)

# Enable NSM support.
option (CONFIG_NSM "Enable NSM support (default=yes)" 1)

# Enable unique/single instance.
option (CONFIG_XUNIQUE "Enable unique/single instance (default=no)" 0)

# Enable gradient eye_candy.
option (CONFIG_GRADIENT "Enable gradient eye-candy (default=yes)" 1)

# Enable debugger stack_trace option (assumes --enable-debug).
option (CONFIG_STACKTRACE "Enable debugger stack-trace (default=no)" 0)

# Enable Wayland support option.
option (CONFIG_WAYLAND "Enable Wayland support (NOT RECOMMENDED) (default=no)" 0)

# Enable Qt6 build preference.
option (CONFIG_QT6 "Enable Qt6 build (default=yes)" 1)


# Fix for new CMAKE_REQUIRED_LIBRARIES policy.
if (POLICY CMP0075)
  cmake_policy (SET CMP0075 NEW)
endif ()

# Check for Qt...
if (CONFIG_QT6)
  find_package (Qt6 QUIET)
  if (NOT Qt6_FOUND)
    set (CONFIG_QT6 0)
  endif ()
endif ()

if (CONFIG_QT6)
  find_package (QT QUIET NAMES Qt6)
else ()
  find_package (QT QUIET NAMES Qt5)
endif ()

find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets Xml Svg)

if (NOT CONFIG_QT6)
  find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS X11Extras)
endif ()

if (CONFIG_XUNIQUE)
  find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Network)
endif ()

find_package (Qt${QT_VERSION_MAJOR}LinguistTools)

include (CheckIncludeFile)
include (CheckIncludeFiles)
include (CheckIncludeFileCXX)
include (CheckStructHasMember)
include (CheckFunctionExists)
include (CheckLibraryExists)
include (CheckTypeSize)

# Checks for libraries.
if (WIN32)
  check_function_exists (lroundf CONFIG_ROUND)
else ()
  find_library (MATH_LIBRARY m)
  if (MATH_LIBRARY)
    set (CMAKE_REQUIRED_LIBRARIES "${MATH_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
  # link_libraries (${MATH_LIBRARY})
    check_function_exists (lroundf CONFIG_ROUND)
  else ()
    message (FATAL_ERROR "*** math library not found.")
  endif ()
  find_library (DL_LIBRARY dl)
  if (NOT DL_LIBRARY)
    message (FATAL_ERROR "*** dl library not found.")
  endif ()
endif ()

# Check for IEEE 32bit float optimizations.
set (CONFIG_FLOAT32 1)

# Check for SSE optimization.
if (CONFIG_SSE)
  if (CMAKE_SYSTEM_PROCESSOR MATCHES "^x86" OR CMAKE_SYSTEM_PROCESSOR MATCHES "^i[3456]86")
    check_include_file (xmmintrin.h HAVE_XMMINTRIN_H)
    if (HAVE_XMMINTRIN_H)
      add_compile_options (-msse -mfpmath=sse)
    endif ()
  endif ()
endif ()

add_compile_options (-ffast-math)

# Checks for header files.
if (UNIX AND NOT APPLE)
  check_include_files ("fcntl.h;unistd.h;signal.h" HAVE_SIGNAL_H)
endif ()


# Check for LADSPA headers.
if (CONFIG_LADSPA)
  check_include_file (ladspa.h HAVE_LADSPA_H)
  if (NOT HAVE_LADSPA_H)
    set (CONFIG_LADSPA 0)
  endif ()
endif ()

# Check for DSSI headers.
if (CONFIG_DSSI)
  check_include_file (dssi.h HAVE_DSSI_H)
  if (NOT HAVE_DSSI_H)
    set (CONFIG_DSSI 0)
  endif ()
endif ()

# Check for VST headers.
if (CONFIG_VST2 AND NOT CONFIG_VST2SDK)
  check_include_file (aeffectx.h HAVE_AEFFECTX_H)
  if (NOT HAVE_AEFFECTX_H AND CONFIG_VESTIGE)
    set (VESTIGE_INCLUDES ${CMAKE_CURRENT_SOURCE_DIR}/src/vestige)
    set (CMAKE_REQUIRED_INCLUDES "${VESTIGE_INCLUDES};${CMAKE_REQUIRED_INCLUDES}")
    include_directories (${VESTIGE_INCLUDES})
    check_include_file (vestige.h HAVE_VESTIGE_H)
    if (NOT HAVE_VESTIGE_H)
      set (CONFIG_VESTIGE 0)
    endif ()
    set (CONFIG_VST2 ${CONFIG_VESTIGE})
  else ()
    set (CONFIG_VESTIGE 0)
  endif ()
endif ()


# Find package modules
include (FindPkgConfig)

# Check for JACK libraries.
pkg_check_modules (JACK REQUIRED IMPORTED_TARGET jack>=0.100.0)
if (JACK_FOUND)
  find_library (JACK_LIBRARY NAMES ${JACK_LIBRARIES} HINTS ${JACK_LIBDIR})
endif ()
if (JACK_LIBRARY)
  set (CONFIG_LIBJACK 1)
  set (CMAKE_REQUIRED_LIBRARIES "${JACK_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
  # Check for JACK session event callback availability.
  if (CONFIG_JACK_SESSION)
    check_function_exists (jack_set_session_callback CONFIG_JACK_SESSION)
  endif ()
  # Check for (new) JACK latency support availability.
  if (CONFIG_JACK_LATENCY)
    check_function_exists (jack_port_get_latency_range CONFIG_JACK_LATENCY)
  endif ()
  # Check for JACK metadata support availability.
  if (CONFIG_JACK_METADATA)
    check_function_exists (jack_get_property CONFIG_JACK_METADATA)
  endif ()
  # Check for jack_set_port_rename_callback.
  check_function_exists (jack_set_port_rename_callback CONFIG_JACK_PORT_RENAME)
else ()
  message (FATAL_ERROR "*** JACK library not found.")
  set (CONFIG_LIBJACK 0)
endif ()

# Check for ALSA libraries.
pkg_check_modules (ALSA REQUIRED IMPORTED_TARGET alsa)
if (ALSA_FOUND)
  find_library (ALSA_LIBRARY NAMES ${ALSA_LIBRARIES} HINTS ${ALSA_LIBDIR})
endif ()
if (ALSA_LIBRARY)
  set (CONFIG_LIBASOUND 1)
 #set (CMAKE_REQUIRED_LIBRARIES "${ALSA_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
else ()
  message (FATAL_ERROR "*** ALSA library not found.")
  set (CONFIG_LIBASOUND 0)
endif ()

# Check for SNDFILE libraries.
pkg_check_modules (SNDFILE REQUIRED IMPORTED_TARGET sndfile)
if (SNDFILE_FOUND)
  find_library (SNDFILE_LIBRARY NAMES ${SNDFILE_LIBRARIES} HINTS ${SNDFILE_LIBDIR})
endif ()
if (SNDFILE_LIBRARY)
  set (CONFIG_LIBSNDFILE 1)
 #set (CMAKE_REQUIRED_LIBRARIES "${SNDFILE_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
else ()
  message (FATAL_ERROR "*** SNDFILE library not found.")
  set (CONFIG_LIBSNDFILE 0)
endif ()

# Check for VORBIS libraries.
if (CONFIG_LIBVORBIS)
  pkg_check_modules (VORBIS IMPORTED_TARGET vorbis)
  if (NOT VORBIS_FOUND)
    message (WARNING "*** VORBIS library not found.")
    set (CONFIG_LIBVORBIS 0)
  endif ()

=== debian/changelog ===
qtractor (0.9.91-0.1~mx19+1) mx; urgency=medium

  * New upstream version 0.9.91.
  * Revert to Qt 5 builds.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 11 May 2024 10:41:21 -0700

qtractor (0.9.90-1) unstable; urgency=medium

  [ Olivier Humbert ]
  * Update d/control: adding hosting capabilities
  * Update d/copyright: adding myself
  * Update d/control: adds Provides: *-host

  [ Dennis Braun ]
  * New upstream version 0.9.90

 -- Dennis Braun <snd@debian.org>  Fri, 19 Apr 2024 16:15:12 +0200

=== debian/control ===
Source: qtractor
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dennis Braun <snd@debian.org>,
           Free Ekanayaka <freee@debian.org>,
           Alessio Treglia <alessio@debian.org>,
           Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dssi-dev,
               fst-dev:native,
               ladspa-sdk,
               libasound2-dev,
               libaubio-dev,
               libjack-dev | libjack-jackd2-dev,
               liblilv-dev,
               liblo-dev,
               libmad0-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               librubberband-dev,
               libsamplerate0-dev | libsamplerate-dev,
               libsndfile1-dev,
               libvorbis-dev,
               libx11-dev,
               lv2-dev,
               zlib1g-dev,
               qtbase5-dev,
               qtbase5-dev-tools,
               qttools5-dev,
               qttools5-dev-tools
Homepage: https://qtractor.sourceforge.io/
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/multimedia-team/qtractor.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qtractor
Rules-Requires-Root: no

Package: qtractor
Architecture: linux-any
Depends: jackd, ${misc:Depends}, ${shlibs:Depends}
Provides: clap-host, dssi-host, ladspa-host, lv2-host, vst2-host, vst3-host
Description: MIDI/Audio multi-track sequencer application
 This is a MIDI/Audio multi-track sequencer application written
 in C++, with LV2, VST3, CLAP, VST2, DSSI, & LADSPA hosting capabilities.
 .
 The Jack Audio Connection Kit (JACK) for audio, and the Advanced Linux
 Sound Architecture (ALSA) for MIDI, are the main infrastructures to
 evolve as a fairly-featured Linux Desktop Audio Workstation GUI, especially
 dedicated to the personal home-studio.

## qtractor 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (Qtractor
-  VERSION 0.9.91
+  VERSION 1.0.0
   DESCRIPTION "An Audio/MIDI multi-track sequencer"
   HOMEPAGE_URL "https://qtractor.org"
   LANGUAGES C CXX)

=== debian/changelog ===
qtractor (1.0.0-0.1~mx21+1) mx; urgency=medium

  * New upstream version 1.0.0
  * Revert to Qt5 builds

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 22 Jun 2024 15:43:21 -0700

qtractor (0.9.91-1) unstable; urgency=medium

  * New upstream version 0.9.91
  * Bump Standards-Version to 4.7.0

 -- Dennis Braun <snd@debian.org>  Fri, 14 Jun 2024 17:36:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qtractor
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dennis Braun <snd@debian.org>,
            Free Ekanayaka <freee@debian.org>,
            Alessio Treglia <alessio@debian.org>,
@@ -26,13 +25,13 @@
                libvorbis-dev,
                libx11-dev,
                lv2-dev,
-               zlib1g-dev,
                qtbase5-dev,
                qtbase5-dev-tools,
                qttools5-dev,
-               qttools5-dev-tools
+               qttools5-dev-tools,
+               zlib1g-dev
 Homepage: https://qtractor.sourceforge.io/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/qtractor.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qtractor
 Rules-Requires-Root: no

## qtractor 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (Qtractor
-  VERSION 1.0.0
+  VERSION 1.1.0
   DESCRIPTION "An Audio/MIDI multi-track sequencer"
   HOMEPAGE_URL "https://qtractor.org"
   LANGUAGES C CXX)
@@ -21,8 +21,6 @@
 if (GIT_DESCRIBE_RESULT EQUAL 0)
   set (GIT_VERSION "${GIT_DESCRIBE_OUTPUT}")
   string (REGEX REPLACE "^[^0-9]+" "" GIT_VERSION "${GIT_VERSION}")
-  string (REGEX REPLACE "^1_"      "" GIT_VERSION "${GIT_VERSION}")
-  string (REGEX REPLACE "^[_vV]+"  "" GIT_VERSION "${GIT_VERSION}")
   string (REGEX REPLACE "-g"   "git." GIT_VERSION "${GIT_VERSION}")
   string (REGEX REPLACE "[_|-]"   "." GIT_VERSION "${GIT_VERSION}")
   execute_process (
@@ -365,3 +363,7 @@
     message (WARNING "*** VORBIS library not found.")
     set (CONFIG_LIBVORBIS 0)
   endif ()
+endif ()
+
+if (CONFIG_LIBVORBIS)
+  pkg_check_modules (VORBISENC IMPORTED_TARGET vorbisenc)

=== debian/changelog ===
qtractor (1.1.0-0.1~mx23+1) mx; urgency=medium

  * New upstream version 1.1.0
  * Add pipewire-jack as an alternative depends to jackd

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 03 Aug 2024 05:40:35 -0700

qtractor (1.0.0-0.1~mx23+1) mx; urgency=medium

  * New upstream version 1.0.0
  * Revert to Qt5 builds

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 22 Jun 2024 15:43:21 -0700

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,9 @@
 
 Package: qtractor
 Architecture: linux-any
-Depends: jackd, ${misc:Depends}, ${shlibs:Depends}
+Depends: jackd | pipewire-jack,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: clap-host, dssi-host, ladspa-host, lv2-host, vst2-host, vst3-host
 Description: MIDI/Audio multi-track sequencer application
  This is a MIDI/Audio multi-track sequencer application written

## qtractor 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (Qtractor
-  VERSION 1.1.0
+  VERSION 1.1.1
   DESCRIPTION "An Audio/MIDI multi-track sequencer"
   HOMEPAGE_URL "https://qtractor.org"
   LANGUAGES C CXX)

=== debian/changelog ===
qtractor (1.1.1-1~mx23+1) mx; urgency=medium

  * New upstream version 1.1.1

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 12 Aug 2024 23:33:30 -0700

=== debian/control ===
--- 
+++ 
@@ -38,9 +38,7 @@
 
 Package: qtractor
 Architecture: linux-any
-Depends: jackd | pipewire-jack,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: jackd | pipewire-jack, ${misc:Depends}, ${shlibs:Depends}
 Provides: clap-host, dssi-host, ladspa-host, lv2-host, vst2-host, vst3-host
 Description: MIDI/Audio multi-track sequencer application
  This is a MIDI/Audio multi-track sequencer application written

## qtractor 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (Qtractor
-  VERSION 1.1.1
+  VERSION 1.2.0
   DESCRIPTION "An Audio/MIDI multi-track sequencer"
   HOMEPAGE_URL "https://qtractor.org"
   LANGUAGES C CXX)

=== debian/changelog ===
qtractor (1.2.0-0.1~mx21+1) mx; urgency=medium

  * New upstream version 1.2.0
  * Restore suil, gtk2, and gtk3 to B-Ds because we're using Qt5

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 30 Aug 2024 23:11:31 -0700

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,10 @@
                librubberband-dev,
                libsamplerate0-dev | libsamplerate-dev,
                libsndfile1-dev,
+# restore suil and gtk2 because we're using Qt5
+               libsuil-dev,
+               libgtk2.0-0,
+               libgtk-3-dev,
                libvorbis-dev,
                libx11-dev,
                lv2-dev,

## qtractor 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (Qtractor
-  VERSION 1.2.0
+  VERSION 1.3.0
   DESCRIPTION "An Audio/MIDI multi-track sequencer"
   HOMEPAGE_URL "https://qtractor.org"
   LANGUAGES C CXX)

=== debian/changelog ===
qtractor (1.3.0-0.1~mx23+1) mx; urgency=medium

  * New upstream version 1.3.0

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 15 Oct 2024 13:21:10 -0700

qtractor (1.2.0-0.1~mx23+1) mx; urgency=medium

  * New upstream version 1.2.0
  * Restore suil, gtk2, and gtk3 to B-Ds because we're using Qt5

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 30 Aug 2024 23:11:31 -0700

## qtractor 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (Qtractor
-  VERSION 1.3.0
+  VERSION 1.4.0
   DESCRIPTION "An Audio/MIDI multi-track sequencer"
   HOMEPAGE_URL "https://qtractor.org"
   LANGUAGES C CXX)

=== debian/changelog ===
qtractor (1.4.0-1~mx21+1) mx; urgency=medium

  * New upstream version 1.4.0

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 01 Dec 2024 12:49:36 -0800

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,8 @@
                ladspa-sdk,
                libasound2-dev,
                libaubio-dev,
+               libgtk-3-dev,
+               libgtk2.0-0,
                libjack-dev | libjack-jackd2-dev,
                liblilv-dev,
                liblo-dev,
@@ -24,8 +26,6 @@
                libsndfile1-dev,
 # restore suil and gtk2 because we're using Qt5
                libsuil-dev,
-               libgtk2.0-0,
-               libgtk-3-dev,
                libvorbis-dev,
                libx11-dev,
                lv2-dev,

## qtractor 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (Qtractor
-  VERSION 1.4.0
+  VERSION 1.5.0
   DESCRIPTION "An Audio/MIDI multi-track sequencer"
   HOMEPAGE_URL "https://qtractor.org"
   LANGUAGES C CXX)
@@ -276,7 +276,7 @@
 
 # Check for DSSI headers.
 if (CONFIG_DSSI)
-  check_include_file (dssi.h HAVE_DSSI_H)
+  check_include_files ("stddef.h;dssi.h" HAVE_DSSI_H)
   if (NOT HAVE_DSSI_H)
     set (CONFIG_DSSI 0)
   endif ()

=== debian/changelog ===
qtractor (1.5.0-1~mx23+1) mx; urgency=medium

  * New upstream version 1.5.0

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 26 Dec 2024 10:04:37 -0800

qtractor (1.4.0-1~mx23+1) mx; urgency=medium

  * New upstream version 1.4.0

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 01 Dec 2024 12:49:36 -0800

## qtractor 1.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (Qtractor
-  VERSION 1.5.0
+  VERSION 1.5.1
   DESCRIPTION "An Audio/MIDI multi-track sequencer"
   HOMEPAGE_URL "https://qtractor.org"
   LANGUAGES C CXX)

=== debian/changelog ===
qtractor (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * Bump my d/copyright years

 -- Dennis Braun <snd@debian.org>  Wed, 01 Jan 2025 23:11:47 +0100

qtractor (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0

 -- Dennis Braun <snd@debian.org>  Tue, 31 Dec 2024 14:54:24 +0100

qtractor (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0

 -- Dennis Braun <snd@debian.org>  Sun, 10 Nov 2024 19:30:14 +0100

qtractor (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0

 -- Dennis Braun <snd@debian.org>  Mon, 02 Sep 2024 21:35:50 +0200

qtractor (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1

 -- Dennis Braun <snd@debian.org>  Wed, 07 Aug 2024 22:17:09 +0200

qtractor (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0

 -- Dennis Braun <snd@debian.org>  Sat, 20 Jul 2024 22:09:19 +0200

## qtractor 1.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (Qtractor
-  VERSION 1.5.1
+  VERSION 1.5.2
   DESCRIPTION "An Audio/MIDI multi-track sequencer"
   HOMEPAGE_URL "https://qtractor.org"
   LANGUAGES C CXX)
@@ -9,7 +9,7 @@
 set (PROJECT_TITLE "${PROJECT_NAME}")
 string (TOLOWER "${PROJECT_TITLE}" PROJECT_NAME)
 
-set (PROJECT_COPYRIGHT "Copyright (C) 2005-2024, rncbc aka Rui Nuno Capela. All rights reserved.")
+set (PROJECT_COPYRIGHT "Copyright (C) 2005-2025, rncbc aka Rui Nuno Capela. All rights reserved.")
 set (PROJECT_DOMAIN    "rncbc.org")
 
 execute_process (

=== debian/changelog ===
qtractor (1.5.2-1~mx23+1) mx; urgency=medium

  * New upstream version 1.5.2.
  * Update d/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 29 Jan 2025 09:14:46 -0800
